<?php
$specificInfo = $block->getSpecificInformation();
$title = $block->escapeHtml($block->getMethod()->getTitle());
?>
<div>
    <span> <?= /* @noEscape */ $title ?><br/></span>
    <?php if ($specificInfo):?>
        <table class="data table">
            <?php foreach ($specificInfo as $label => $value):?>
                <?php if (!in_array($label, ['Credit Card Type', 'Credit Card Number'])) continue; ?>
                <tr>
                    <td ><?= $block->escapeHtml($label) ?></td>
                    <td>
                        <?= /* @noEscape */ nl2br($block->escapeHtml(implode("\n", $block->getValueAsArray($value, true)))) ?>
                    </td>
                </tr>
            <?php endforeach; ?>
        </table>
    <?php endif;?>
</div>
<?= $block->getChildHtml() ?>
